// Machine generated IDispatch wrapper class(es) created with Add Class from Typelib Wizard

#import "C:\\AlgoStars\\APPs(UAT)\\TCoreRelease\\Components\\TCQuoteWrapperAPI.dll" no_namespace
// CqdiTechanicalAnalysisItem wrapper class

class CqdiTechanicalAnalysisItem : public COleDispatchDriver
{
public:
	CqdiTechanicalAnalysisItem(){} // Calls COleDispatchDriver default constructor
	CqdiTechanicalAnalysisItem(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	CqdiTechanicalAnalysisItem(const CqdiTechanicalAnalysisItem& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

	// Attributes
public:

	// Operations
public:


	// qdiTechanicalAnalysisItem methods
public:
	long get_ItemIndex()
	{
		long result;
		InvokeHelper(0x1, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_ItemIndex(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x1, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_Date()
	{
		long result;
		InvokeHelper(0x2, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_Date(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x2, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_Time()
	{
		long result;
		InvokeHelper(0x3, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_Time(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x3, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_Open()
	{
		__int64 result;
		InvokeHelper(0x4, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_Open(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x4, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_High()
	{
		__int64 result;
		InvokeHelper(0x5, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_High(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x5, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_Low()
	{
		__int64 result;
		InvokeHelper(0x6, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_Low(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x6, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_Close()
	{
		__int64 result;
		InvokeHelper(0x7, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_Close(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x7, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	__int64 get_Volume()
	{
		__int64 result;
		InvokeHelper(0x8, DISPATCH_PROPERTYGET, VT_I8, (void*)&result, NULL);
		return result;
	}
	void put_Volume(__int64 newValue)
	{
		static BYTE parms[] = VTS_I8 ;
		InvokeHelper(0x8, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_UpTick()
	{
		long result;
		InvokeHelper(0x9, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_UpTick(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0x9, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_UpVolume()
	{
		long result;
		InvokeHelper(0xa, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_UpVolume(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xa, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_DownTick()
	{
		long result;
		InvokeHelper(0xb, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_DownTick(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xb, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_DownVolume()
	{
		long result;
		InvokeHelper(0xc, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_DownVolume(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xc, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	long get_UnchVolume()
	{
		long result;
		InvokeHelper(0xd, DISPATCH_PROPERTYGET, VT_I4, (void*)&result, NULL);
		return result;
	}
	void put_UnchVolume(long newValue)
	{
		static BYTE parms[] = VTS_I4 ;
		InvokeHelper(0xd, DISPATCH_PROPERTYPUT, VT_EMPTY, NULL, parms, newValue);
	}
	void SetOptValue(LPCTSTR strVal, __int64 newVal)
	{
		static BYTE parms[] = VTS_BSTR VTS_I8 ;
		InvokeHelper(0xe, DISPATCH_METHOD, VT_EMPTY, NULL, parms, strVal, newVal);
	}
	__int64 GetOptValue(LPCTSTR strVal)
	{
		__int64 result;
		static BYTE parms[] = VTS_BSTR ;
		InvokeHelper(0xf, DISPATCH_METHOD, VT_I8, (void*)&result, parms, strVal);
		return result;
	}

	// qdiTechanicalAnalysisItem properties
public:

};
